=== debian/changelog ===
stella (3.9.3-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 26 Jan 2014 23:42:21 +0100

stella (3.9.2-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Sep 2013 00:09:17 +0200

stella (3.9.1-1) unstable; urgency=low

  * New upstream version. The state file format has changed, so old state
    files will not work with this release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 21 Aug 2013 22:39:42 +0200
