## stella 4.0

=== debian/changelog ===
stella (4.0-2) unstable; urgency=medium

  * Support newer versions of Hurd.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Jul 2014 07:07:41 +0200

stella (4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 Jul 2014 23:30:31 +0200
