## stella 4.1.1

=== debian/changelog ===
stella (4.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Update licensing information.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Sep 2014 23:44:54 +0200

stella (4.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop hurd-gnu0.5.patch, merged upstream.

 -- Stephen Kitt <skitt@debian.org>  Wed, 03 Sep 2014 09:11:33 +0200
