=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                libpng-dev,
-               libsdl1.2-dev,
+               libsdl2-dev,
                zlib1g-dev
 Homepage: http://stella.sf.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/stella.git
