## stella 4.6.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##  SS  SS   tt   ee      ll   ll  aa  aa
 ##   SSSS     ttt  eeeee llll llll  aaaaa
 ##
-## Copyright (c) 1995-2014 by Bradford W. Mott, Stephen Anthony
+## Copyright (c) 1995-2015 by Bradford W. Mott, Stephen Anthony
 ## and the Stella Team
 ##
 ## See the file "License.txt" for information on usage and redistribution of
@@ -51,7 +51,7 @@
 endif
 CXXFLAGS+= -Wall 
 ifdef HAVE_GCC
-  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti -Woverloaded-virtual
+  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti -Woverloaded-virtual -Wnon-virtual-dtor -std=c++11
 endif
 
 ifdef PROFILE
@@ -213,8 +213,8 @@
 src/emucore/M6502.ins: src/emucore/M6502.m4
 	m4 src/emucore/M6502.m4 > src/emucore/M6502.ins
 
-# Special rule for Win32 icon stuff (there's probably a better way to do this ...)
-src/win32/stella_icon.o: src/win32/stella.ico src/win32/stella.rc
-	$(WINDRES) --include-dir src/win32 src/win32/stella.rc src/win32/stella_icon.o 
+# Special rule for windows icon stuff (there's probably a better way to do this ...)
+src/windows/stella_icon.o: src/windows/stella.ico src/windows/stella.rc
+	windres --include-dir src/windows src/windows/stella.rc src/windows/stella_icon.o 
 		
 .PHONY: deb bundle test install uninstall
