=== debian/changelog ===
stella (4.6.1-2) unstable; urgency=medium

  * Add an icon for the menu entry (closes: #726888).
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 May 2015 22:50:25 +0200

stella (4.6.1-1) experimental; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Apr 2015 20:45:00 +0200

stella (4.6-1) experimental; urgency=medium

  * New upstream version.
  * Drop src/common/SharedPtr.hxx from debian/copyright, it no longer
    exists.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 Mar 2015 22:45:21 +0100

stella (4.5-1) experimental; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 Jan 2015 23:57:10 +0100

stella (4.2-1) experimental; urgency=medium

  * New upstream version, uploaded to experimental for the Jessie freeze.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Nov 2014 00:16:42 +0100
