=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: autotools-dev,
                debhelper (>= 9),
+               g++ (>= 4:4.9),
                libpng-dev,
                libsdl2-dev,
                zlib1g-dev
@@ -16,7 +17,8 @@
 Package: stella
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Atari 2600 Emulator for SDL & the X Window System
  Stella is a portable emulator of the old Atari 2600 video-game
  console. You can play most Atari 2600 games with it.
