## stella 4.6.6

=== debian/changelog ===
stella (4.6.6-1) unstable; urgency=medium

  * New upstream version.
  * Drop Debian menu.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Oct 2015 19:16:57 +0200

stella (4.6.5-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 29 Sep 2015 18:10:48 +0200
