## stella 4.7

=== debian/changelog ===
stella (4.7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Feb 2016 13:11:38 +0100

stella (4.7-1) unstable; urgency=medium

  * New upstream version.
  * Switch to https: VCS URIs (see #810378).
  * Fix the spelling of "Commmands" and ignore "Flie".

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 Jan 2016 12:54:57 +0100

stella (4.6.7-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 Oct 2015 23:25:35 +0100
