=== debian/changelog ===
stella (4.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Make debian/watch more generic.
  * Install evdev-joystick and Stelladaptor and 2600-daptor udev rules.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Feb 2016 17:46:57 +0100
