=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libsdl2-dev,
                zlib1g-dev
 Homepage: http://stella.sf.net
-Vcs-Git: git://anonscm.debian.org/pkg-games/stella.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/stella.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/stella.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/stella.git
 
 Package: stella
 Architecture: any
