=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,13 @@
 	test -f config.mak || echo "RM_REC := rm -f -r" > config.mak
 	dh_auto_clean
 
-override_dh_clean:
-	dh_clean tags
-
 override_dh_auto_configure:
 	./configure --prefix=/usr
+
+override_dh_auto_build:
+	dh_auto_build
+	dh_auto_build -B src/tools/evdev-joystick
+	sed 'sXlocal/XXg' < src/tools/evdev-joystick/80-stelladaptor-joystick.rules > debian/stella.udev
 
 override_dh_auto_install:
 	dh_auto_install
