=== debian/watch ===
version=3
http://sf.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@-src@ARCHIVE_EXT@
