## stella 4.7.2

=== debian/changelog ===
stella (4.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Rely on joystick to provide evdev-joystick and the associated udev
    rules.
  * Enable all hardening options.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Apr 2016 23:56:54 +0200
