=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: stella
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.6
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                g++ (>= 4:4.9),
                libpng-dev,
                libsdl2-dev,
                zlib1g-dev
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/stella.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/stella.git
 Homepage: http://stella.sf.net
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/stella.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/stella.git
 
 Package: stella
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: joystick (>= 1:1.5.1)
+Pre-Depends: ${misc:Pre-Depends}
 Description: Atari 2600 Emulator for SDL & the X Window System
  Stella is a portable emulator of the old Atari 2600 video-game
  console. You can play most Atari 2600 games with it.
