=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autotools_dev
@@ -11,11 +13,6 @@
 override_dh_auto_configure:
 	./configure --prefix=/usr
 
-override_dh_auto_build:
-	dh_auto_build
-	dh_auto_build -B src/tools/evdev-joystick
-	sed 'sXlocal/XXg' < src/tools/evdev-joystick/80-stelladaptor-joystick.rules > debian/stella.udev
-
 override_dh_auto_install:
 	dh_auto_install
 	# This is also installed as the upstream changelog
