=== debian/changelog ===
stella (4.7.3-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to Debian 8.

 -- Stephen Kitt <skitt@debian.org>  Tue, 06 Jun 2017 08:59:46 +0200

stella (4.7.3-1) unstable; urgency=medium

  * New upstream version.
  * Update spelling fixes.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Thu, 24 Nov 2016 23:06:44 +0100
