=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                g++ (>= 4:4.9),
                libpng-dev,
                libsdl2-dev,
