## stella 5.0.1

=== Makefile ===
--- 
+++ 
@@ -45,13 +45,13 @@
 # CXXFLAGS+= -Werror
 
 ifdef CXXFLAGS
-  CXXFLAGS:= $(CXXFLAGS)
+  CXXFLAGS:= $(CXXFLAGS) -x c++
 else
-  CXXFLAGS:= -O2
+  CXXFLAGS:= -O2 -x c++
 endif
 CXXFLAGS+= -Wall -Wextra -Wno-unused-parameter -Wno-ignored-qualifiers
 ifdef HAVE_GCC
-  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti -Woverloaded-virtual -Wnon-virtual-dtor -std=c++11
+  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti -Woverloaded-virtual -Wnon-virtual-dtor -std=c++14
 endif
 
 ifdef PROFILE
@@ -66,7 +66,7 @@
 # Even more warnings...
 #CXXFLAGS+= -pedantic -Wpointer-arith -Wcast-qual -Wconversion
 #CXXFLAGS+= -Wshadow -Wimplicit -Wundef -Wnon-virtual-dtor
-#CXXFLAGS+= -Wno-reorder -Wwrite-strings -fcheck-new -Wctor-dtor-privacy 
+#CXXFLAGS+= -Wno-reorder -Wwrite-strings -fcheck-new -Wctor-dtor-privacy
 
 #######################################################################
 # Misc stuff - you should never have to edit this                     #
@@ -94,6 +94,7 @@
 # After the game specific modules follow the shared modules
 MODULES += \
 	src/emucore \
+	src/emucore/tia \
 	src/gui \
 	src/common \
 	src/common/tv_filters
@@ -111,7 +112,7 @@
 
 # Depdir information
 DEPDIRS = $(addsuffix /$(DEPDIR),$(MODULE_DIRS))
-DEPFILES = 
+DEPFILES =
 
 # The build rule for the Stella executable
 $(EXECUTABLE):  $(OBJS)
@@ -131,7 +132,7 @@
 
 ifndef CXX_UPDATE_DEP_FLAG
 # If you use GCC, disable the above and enable this for intelligent
-# dependency tracking. 
+# dependency tracking.
 CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d2"
 .cxx.o:
 	$(MKDIR) $(*D)/$(DEPDIR)
@@ -215,6 +216,6 @@
 
 # Special rule for windows icon stuff (there's probably a better way to do this ...)
 src/windows/stella_icon.o: src/windows/stella.ico src/windows/stella.rc
-	windres --include-dir src/windows src/windows/stella.rc src/windows/stella_icon.o 
-		
+	windres --include-dir src/windows src/windows/stella.rc src/windows/stella_icon.o
+
 .PHONY: deb bundle test install uninstall
