=== debian/changelog ===
stella (5.0.1-1) unstable; urgency=medium

  * New upstream release, compatible with GCC 7 (closes: #853669).
  * Update the upstream homepage, the project has moved from SourceForge
    to GitHub.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Aug 2017 23:31:21 +0200
