=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                libpng-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/stella.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/stella.git
-Homepage: http://stella.sf.net
+Homepage: https://stella-emu.github.io
 
 Package: stella
 Architecture: any
