=== debian/changelog ===
stella (5.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Aug 2017 09:17:25 +0200
