## stella 5.1

=== debian/changelog ===
stella (5.1-1) unstable; urgency=medium

  * New upstream release, merging spelling-fixes.patch.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 Feb 2018 22:26:21 +0100
