## stella 5.1.1

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,13 @@
 ifdef HAVE_GCC
   CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti -Woverloaded-virtual -Wnon-virtual-dtor -std=c++14
 endif
+ifdef CLANG_WARNINGS
+  CXXFLAGS+= -Weverything -Wno-c++17-extensions -Wno-c++98-compat -Wno-c++98-compat-pedantic \
+    -Wno-double-promotion -Wno-switch-enum -Wno-conversion -Wno-covered-switch-default \
+    -Wno-inconsistent-missing-destructor-override -Wno-float-equal \
+    -Wno-exit-time-destructors -Wno-global-constructors -Wno-weak-vtables \
+    -Wno-four-char-constants -Wno-padded
+endif
 
 ifdef PROFILE
   PROF:= -g -pg -fprofile-arcs -ftest-coverage
@@ -63,10 +70,6 @@
   endif
 endif
 
-# Even more warnings...
-#CXXFLAGS+= -pedantic -Wpointer-arith -Wcast-qual -Wconversion
-#CXXFLAGS+= -Wshadow -Wimplicit -Wundef -Wnon-virtual-dtor
-#CXXFLAGS+= -Wno-reorder -Wwrite-strings -fcheck-new -Wctor-dtor-privacy
 
 #######################################################################
 # Misc stuff - you should never have to edit this                     #
@@ -95,6 +98,7 @@
 MODULES += \
 	src/emucore \
 	src/emucore/tia \
+	src/emucore/tia/frame-manager \
 	src/gui \
 	src/common \
 	src/common/tv_filters
