=== debian/changelog ===
stella (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 23 Feb 2018 20:50:30 +0100
