=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                g++ (>= 4:4.9),
                libpng-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/stella.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/stella.git
 Homepage: https://stella-emu.github.io
