## stella 5.1.2

=== debian/changelog ===
stella (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 May 2018 21:10:04 +0200

stella (5.1.1-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 May 2018 01:01:43 +0200
