=== debian/changelog ===
stella (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 14 Jun 2018 11:04:11 +0200
