=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                libpng-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/stella.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/stella.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/games-team/stella
+Vcs-Git: https://salsa.debian.org/games-team/stella.git
 Homepage: https://stella-emu.github.io
 
 Package: stella
