## stella 6.0

=== debian/changelog ===
stella (6.0-1) unstable; urgency=medium

  * New upstream release.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.3.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Jan 2019 21:56:40 +0100
