=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                libpng-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/games-team/stella
 Vcs-Git: https://salsa.debian.org/games-team/stella.git
 Homepage: https://stella-emu.github.io
+Rules-Requires-Root: no
 
 Package: stella
 Architecture: any
