## stella 6.0.1

=== debian/changelog ===
stella (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 12 (and stop stripping the
    stella binary during the build).
  * Standards-Version 4.4.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Jul 2019 18:11:40 +0200
