## stella 6.0.2

=== Makefile ===
--- 
+++ 
@@ -101,7 +101,8 @@
 	src/emucore/tia/frame-manager \
 	src/gui \
 	src/common \
-	src/common/tv_filters
+	src/common/tv_filters \
+	src/common/audio
 
 ######################################################################
 # The build rules follow - normally you should have no need to
