=== debian/changelog ===
stella (6.0.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:51 +0100

stella (6.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop the g++ build dependency, it’s redundant and prevents cross-
    building.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Oct 2019 22:03:54 +0200
