=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Section: otherosfs
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               g++ (>= 4:4.9),
                libpng-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/games-team/stella
 Vcs-Git: https://salsa.debian.org/games-team/stella.git
 Homepage: https://stella-emu.github.io
