## stella 6.1.2

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,6 @@
 ## See the file "License.txt" for information on usage and redistribution of
 ## this file, and for a DISCLAIMER OF ALL WARRANTIES.
 ##
-## $Id: Makefile,v 1.37 2009-01-11 21:31:21 stephena Exp $
-##
 ##   Based on code from ScummVM - Scumm Interpreter
 ##   Copyright (C) 2002-2004 The ScummVM project
 ##============================================================================
@@ -26,7 +24,7 @@
 
 srcdir      ?= .
 
-DEFINES     := -D_GLIBCXX_USE_CXX11_ABI=1
+DEFINES     := -DSDL_SUPPORT -D_GLIBCXX_USE_CXX11_ABI=1
 LDFLAGS     := -pthread
 INCLUDES    :=
 LIBS	    :=
@@ -49,36 +47,90 @@
 else
   CXXFLAGS:= -O2 -x c++
 endif
-CXXFLAGS+= -Wall -Wextra -Wno-unused-parameter -Wno-ignored-qualifiers
+
+CXXFLAGS+= -Wall -Wextra -Wno-unused-parameter
+
 ifdef HAVE_GCC
   CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti -Woverloaded-virtual -Wnon-virtual-dtor -std=c++14
 endif
+
+ifdef HAVE_CLANG
+  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti -Woverloaded-virtual -Wnon-virtual-dtor -std=c++14
+endif
+
 ifdef CLANG_WARNINGS
-  CXXFLAGS+= -Weverything -Wno-c++17-extensions -Wno-c++98-compat -Wno-c++98-compat-pedantic \
-    -Wno-double-promotion -Wno-switch-enum -Wno-conversion -Wno-covered-switch-default \
+  CXXFLAGS+= -Weverything -Wno-c++17-extensions  -Wno-c++98-compat-pedantic \
+    -Wno-switch-enum -Wno-conversion -Wno-covered-switch-default \
     -Wno-inconsistent-missing-destructor-override -Wno-float-equal \
     -Wno-exit-time-destructors -Wno-global-constructors -Wno-weak-vtables \
     -Wno-four-char-constants -Wno-padded
 endif
 
 ifdef PROFILE
-  PROF:= -g -pg -fprofile-arcs -ftest-coverage
+  PROF:= -pg -fprofile-arcs -ftest-coverage
   CXXFLAGS+= $(PROF)
+endif
+
+ifdef DEBUG
+  CXXFLAGS += -g
 else
   ifdef HAVE_GCC
     CXXFLAGS+= -fomit-frame-pointer
   endif
-endif
-
+
+  ifdef HAVE_CLANG
+    CXXFLAGS+= -fomit-frame-pointer
+  endif
+endif
 
 #######################################################################
 # Misc stuff - you should never have to edit this                     #
 #######################################################################
 
-EXECUTABLE  := stella$(EXEEXT)
+ifdef STELLA_BUILD_ROOT
+  OBJECT_ROOT := $(STELLA_BUILD_ROOT)/stella-out
+else
+  OBJECT_ROOT := out
+endif
+OBJECT_ROOT_PROFILE_GENERERATE := out.pgen
+OBJECT_ROOT_PROFILE_USE := out.pgo
+
+EXECUTABLE := stella$(EXEEXT)
+EXECUTABLE_PROFILE_GENERATE := stella-pgo-generate$(EXEEXT)
+EXECUTABLE_PROFILE_USE := stella-pgo$(EXEEXT)
+
+PROFILE_DIR = $(CURDIR)/profile
+PROFILE_OUT = $(PROFILE_DIR)/out
+PROFILE_STAMP = profile.stamp
+
+CXXFLAGS_PROFILE_GENERATE = $(CXXFLAGS)
+CXXFLAGS_PROFILE_USE = $(CXXFLAGS)
+LDFLAGS_PROFILE_GENERATE = $(LDFLAGS)
+STELLA_PROFILE_GENERATE = $(BINARY_LOADER) ./$(EXECUTABLE_PROFILE_GENERATE) -profile \
+	$(PROFILE_DIR)/128.bin:10 \
+	$(PROFILE_DIR)/catharsis_theory.bin:60
+
+ifdef HAVE_CLANG
+	CXXFLAGS_PROFILE_GENERATE += -fprofile-generate=$(PROFILE_OUT)
+	CXXFLAGS_PROFILE_USE += -fprofile-use=$(PROFILE_OUT)
+	LDFLAGS_PROFILE_GENERATE += -fprofile-generate
+	STELLA_PROFILE_GENERATE := \
+		LLVM_PROFILE_FILE="$(PROFILE_OUT)/default.profraw" $(STELLA_PROFILE_GENERATE) && \
+		$(LLVM_PROFDATA) merge -o $(PROFILE_OUT)/default.profdata $(PROFILE_OUT)/default.profraw
+endif
+
+ifdef HAVE_GCC
+	CXXFLAGS_PROFILE_GENERATE += -fprofile-generate -fprofile-dir=$(PROFILE_OUT)
+	CXXFLAGS_PROFILE_USE += -fprofile-use -fprofile-dir=$(PROFILE_OUT)
+	LDFLAGS_PROFILE_GENERATE += -fprofile-generate
+	STELLA_PROFILE_GENERATE := $(STELLA_PROFILE_GENERATE) && \
+	  rm -fr $(PROFILE_OUT)/$(OBJECT_ROOT_PROFILE_USE) && \
+		mv $(PROFILE_OUT)/$(OBJECT_ROOT_PROFILE_GENERERATE) $(PROFILE_OUT)/$(OBJECT_ROOT_PROFILE_USE)
+endif
 
 all: $(EXECUTABLE)
 
+pgo: $(EXECUTABLE_PROFILE_USE)
 
 ######################################################################
 # Various minor settings
@@ -96,13 +148,12 @@
 
 # After the game specific modules follow the shared modules
 MODULES += \
+	src/common \
+	src/common/audio \
+	src/common/tv_filters \
 	src/emucore \
 	src/emucore/tia \
-	src/emucore/tia/frame-manager \
-	src/gui \
-	src/common \
-	src/common/tv_filters \
-	src/common/audio
+	src/emucore/tia/frame-manager
 
 ######################################################################
 # The build rules follow - normally you should have no need to
@@ -119,8 +170,18 @@
 DEPDIRS = $(addsuffix /$(DEPDIR),$(MODULE_DIRS))
 DEPFILES =
 
+OBJ=$(addprefix $(OBJECT_ROOT)/,$(OBJS))
+OBJ_PROFILE_GENERATE=$(addprefix $(OBJECT_ROOT_PROFILE_GENERERATE)/,$(OBJS))
+OBJ_PROFILE_USE=$(addprefix $(OBJECT_ROOT_PROFILE_USE)/,$(OBJS))
+
 # The build rule for the Stella executable
-$(EXECUTABLE):  $(OBJS)
+$(EXECUTABLE): $(OBJ)
+	$(LD) $(LDFLAGS) $(PRE_OBJS_FLAGS) $+ $(POST_OBJS_FLAGS) $(LIBS) $(PROF) -o $@
+
+$(EXECUTABLE_PROFILE_GENERATE): $(OBJ_PROFILE_GENERATE)
+	$(LD) $(LDFLAGS_PROFILE_GENERATE) $(PRE_OBJS_FLAGS) $+ $(POST_OBJS_FLAGS) $(LIBS) $(PROF) -o $@
+
+$(EXECUTABLE_PROFILE_USE): $(OBJ_PROFILE_USE)
 	$(LD) $(LDFLAGS) $(PRE_OBJS_FLAGS) $+ $(POST_OBJS_FLAGS) $(LIBS) $(PROF) -o $@
 
 distclean: clean
@@ -128,47 +189,100 @@
 	$(RM) build.rules config.h config.mak config.log
 
 clean:
-	$(RM) $(OBJS) $(EXECUTABLE)
+	-$(RM) -fr \
+		$(OBJECT_ROOT) $(OBJECT_ROOT_PROFILE_GENERERATE) $(OBJECT_ROOT_PROFILE_USE) \
+		$(EXECUTABLE) $(EXECUTABLE_PROFILE_GENERATE) $(EXECUTABLE_PROFILE_USE) \
+		$(PROFILE_OUT) $(PROFILE_STAMP)
 
 .PHONY: all clean dist distclean
 
 .SUFFIXES: .cxx
 
+define create_dir
+$(MKDIR) -p $(*D)/$(DEPDIR)
+$(MKDIR) -p $(@D)
+endef
+
+define merge_dep
+$(ECHO) "$(*D)/" > $(*D)/$(DEPDIR)/$(*F).d
+$(CAT) "$(*D)/$(DEPDIR)/$(*F).d2" >> "$(*D)/$(DEPDIR)/$(*F).d"
+$(RM) "$(*D)/$(DEPDIR)/$(*F).d2"
+endef
 
 ifndef CXX_UPDATE_DEP_FLAG
 # If you use GCC, disable the above and enable this for intelligent
 # dependency tracking.
 CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d2"
-.cxx.o:
-	$(MKDIR) $(*D)/$(DEPDIR)
-	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
-	$(ECHO) "$(*D)/" > $(*D)/$(DEPDIR)/$(*F).d
-	$(CAT) "$(*D)/$(DEPDIR)/$(*F).d2" >> "$(*D)/$(DEPDIR)/$(*F).d"
-	$(RM) "$(*D)/$(DEPDIR)/$(*F).d2"
-
-.c.o:
-	$(MKDIR) $(*D)/$(DEPDIR)
-	$(CC) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
-	$(ECHO) "$(*D)/" > $(*D)/$(DEPDIR)/$(*F).d
-	$(CAT) "$(*D)/$(DEPDIR)/$(*F).d2" >> "$(*D)/$(DEPDIR)/$(*F).d"
-	$(RM) "$(*D)/$(DEPDIR)/$(*F).d2"
+
+$(OBJECT_ROOT)/%.o: %.cxx
+	$(create_dir)
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $@
+	$(merge_dep)
+
+$(OBJECT_ROOT)/%.o: %.c
+	$(create_dir)
+	$(CC) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $@
+	$(merge_dep)
+
+$(OBJECT_ROOT_PROFILE_GENERERATE)/%.pgen.o: %.cxx
+	$(create_dir)
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS_PROFILE_GENERATE) $(CPPFLAGS) -c $(<) -o $@
+	$(merge_dep)
+
+$(OBJECT_ROOT_PROFILE_GENERERATE)/%.pgen.o: %.cxx
+	$(create_dir)
+	$(CC) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS_PROFILE_GENERATE) $(CPPFLAGS) -c $(<) -o $@
+	$(merge_dep)
+
+$(OBJECT_ROOT_PROFILE_USE)/%.pgo.o: %.cxx $(PROFILE_STAMP)
+	$(create_dir)
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS_PROFILE_USE) $(CPPFLAGS) -c $(<) -o $@
+	$(merge_dep)
+
+$(OBJECT_ROOT_PROFILE_USE)/%.pgo.o: %.cxx $(PROFILE_STAMP)
+	$(create_dir)
+	$(CC) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS_PROFILE_USE) $(CPPFLAGS) -c $(<) -o $@
+	$(merge_dep)
+
 else
 # If you even have GCC 3.x, you can use this build rule, which is safer; the above
 # rule can get you into a bad state if you Ctrl-C at the wrong moment.
 # Also, with this GCC inserts additional dummy rules for the involved headers,
 # which ensures a smooth compilation even if said headers become obsolete.
-.cxx.o:
-	$(MKDIR) $(*D)/$(DEPDIR)
-	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
-
-.c.o:
-	$(MKDIR) $(*D)/$(DEPDIR)
-	$(CC) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
+$(OBJECT_ROOT)/%.o: %.cxx
+	$(create_dir)
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $@
+
+$(OBJECT_ROOT)/%.o: %.c
+	$(create_dir)
+	$(CC) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $@
+
+$(OBJECT_ROOT_PROFILE_GENERERATE)/%.o: %.cxx
+	$(create_dir)
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS_PROFILE_GENERATE) $(CPPFLAGS) -c $(<) -o $@
+
+$(OBJECT_ROOT_PROFILE_GENERERATE)/%.o: %.c
+	$(create_dir)
+	$(CC) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS_PROFILE_GENERATE) $(CPPFLAGS) -c $(<) -o $@
+
+$(OBJECT_ROOT_PROFILE_USE)/%.o: %.cxx $(PROFILE_STAMP)
+	$(create_dir)
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS_PROFILE_USE) $(CPPFLAGS) -c $(<) -o $@
+
+$(OBJECT_ROOT_PROFILE_USE)/%.o: %.c $(PROFILE_STAMP)
+	$(create_dir)
+	$(CC) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS_PROFILE_USE) $(CPPFLAGS) -c $(<) -o $@
+
 endif
 
 # Include the dependency tracking files. We add /dev/null at the end
 # of the list to avoid a warning/error if no .d file exist
 -include $(wildcard $(addsuffix /*.d,$(DEPDIRS))) /dev/null
+
+$(PROFILE_STAMP): $(EXECUTABLE_PROFILE_GENERATE)
+	-rm -fr $(PROFILE_OUT)
+	$(STELLA_PROFILE_GENERATE)
+	touch $(PROFILE_STAMP)
 
 # check if configure has been run or has been changed since last run
 config.mak: $(srcdir)/configure
@@ -178,7 +292,7 @@
 
 install: all
 	$(INSTALL) -d "$(DESTDIR)$(BINDIR)"
-	$(INSTALL) -c -s -m 755 "$(srcdir)/stella$(EXEEXT)" "$(DESTDIR)$(BINDIR)/stella$(EXEEXT)"
+	$(INSTALL) -c -m 755 "$(srcdir)/stella$(EXEEXT)" "$(DESTDIR)$(BINDIR)/stella$(EXEEXT)"
 	$(INSTALL) -d "$(DESTDIR)$(DOCDIR)"
 	$(INSTALL) -c -m 644 "$(srcdir)/Announce.txt" "$(srcdir)/Changes.txt" "$(srcdir)/Copyright.txt" "$(srcdir)/License.txt" "$(srcdir)/README-SDL.txt" "$(srcdir)/Readme.txt" "$(srcdir)/Todo.txt" "$(srcdir)/docs/index.html" "$(srcdir)/docs/debugger.html" "$(DESTDIR)$(DOCDIR)/"
 	$(INSTALL) -d "$(DESTDIR)$(DOCDIR)/graphics"
@@ -215,12 +329,3 @@
 	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/64x64/apps/stella.png"
 	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/128x128/apps/stella.png"
 
-# Special rule for M6502.ins, generated from m4 (there's probably a better way to do this ...)
-src/emucore/M6502.ins: src/emucore/M6502.m4
-	m4 src/emucore/M6502.m4 > src/emucore/M6502.ins
-
-# Special rule for windows icon stuff (there's probably a better way to do this ...)
-src/windows/stella_icon.o: src/windows/stella.ico src/windows/stella.rc
-	windres --include-dir src/windows src/windows/stella.rc src/windows/stella_icon.o
-
-.PHONY: deb bundle test install uninstall
