=== debian/changelog ===
stella (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 May 2020 19:36:27 +0200
